#ifndef _KVI_IPSELECTOR_H_INCLUDED_
#define _KVI_IPSELECTOR_H_INCLUDED_

// =============================================================================
//
//      --- kvi_ipselector.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include <qhbox.h>

class KviIpEditor;
class KviLabel;
class KviStr;

class KviIpSelector : public QHBox
{
	Q_OBJECT
public:
	KviIpSelector(QWidget *parent, const char *description, KviStr *ipPtr, bool bEnabled = true);
	~KviIpSelector();
private:
	KviStr      *m_ipPtr;
	KviLabel    *m_pDescription;
	KviIpEditor *m_pIpEditor;
public slots:
	virtual void setEnabled(bool bEnabled);
public:
	virtual void commitChanges();
};

#endif // _KVI_IPSELECTOR_H_INCLUDED_
