#ifndef _KVI_MESSAGEBOX_KDE_H_INCLUDED_
#define _KVI_MESSAGEBOX_KDE_H_INCLUDED_

// =============================================================================
//
//      --- kvi_messagebox_kde.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 2003 Robin Verduijn <robin@debian.org>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include <qmessagebox.h>

class KviMessageBox : public QMessageBox
{
	Q_OBJECT
public:
	KviMessageBox(
		const QString &caption, const QString &text, Icon icon, int button0, int button1, int button2,
		QWidget *parent = 0, const char *name = 0, bool modal = true, WFlags f = WStyle_DialogBorder
	);
	~KviMessageBox();

	static void       error(const QString &text, const QString &caption, QWidget *parent = 0);
	static void information(const QString &text, const QString &caption, QWidget *parent = 0);
	static void       sorry(const QString &text, const QString &caption, QWidget *parent = 0);

	static int      questionYesNo(const QString &text, const QString &caption, QWidget *parent = 0);
	static int       warningYesNo(const QString &text, const QString &caption, QWidget *parent = 0);
	static int warningYesNoCancel(const QString &text, const QString &caption, QWidget *parent = 0);
};

#endif // _KVI_MESSAGEBOX_KDE_H_INCLUDED_
