#ifndef _KVI_PROCESS_KDE_H_INCLUDED_
#define _KVI_PROCESS_KDE_H_INCLUDED_

// =============================================================================
//
//      --- kvi_process_kde.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 2003 Robin Verduijn <robin@debian.org>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include <qstring.h>

#include <kprocess.h>

class KviProcess : public KProcess
{
	Q_OBJECT
public:
	KviProcess();
	~KviProcess();

	const QString findShell();

	bool run(const char *commandline, bool bCommunicate = false, bool bKillOnClose = false, bool bExecInSubshell = false);
signals:
	void  processExited(KviProcess *);
	void receivedStdout(KviProcess *, char *buffer, int len);
	void receivedStderr(KviProcess *, char *buffer, int len);
private slots:
	void  processExited(KProcess *);
	void receivedStdout(KProcess *, char *buffer, int len);
	void receivedStderr(KProcess *, char *buffer, int len);
private:
	static QString m_szShellName;
};

#endif // _KVI_PROCESS_KDE_H_INCLUDED_
