#ifndef _KVI_SCRIPT_EDITOR_H_INCLUDED_
#define _KVI_SCRIPT_EDITOR_H_INCLUDED_

// =============================================================================
//
//      --- kvi_script_editor.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include <qwidget.h>

class KviLabel;
class KviScriptEditorWidget;

class KviScriptEditor : public QWidget
{
	Q_OBJECT
public:
	KviScriptEditor(QWidget *parent);
	~KviScriptEditor();
protected:
	KviScriptEditorWidget *m_pEditor;
	KviLabel              *m_pAux1;
	KviLabel              *m_pAux2;
	KviLabel              *m_pRowLabel;
	KviLabel              *m_pColLabel;
public:
	KviScriptEditorWidget *editor();

	void setText(const QString &);
	QString text();

	virtual void setEnabled(bool bEnabled);
protected slots:
	void cursorRowChanged(int row);
	void cursorColChanged(int col);
	void saveToFile();
	void loadFromFile();
};

#endif // _KVI_SCRIPT_EDITOR_H_INCLUDED_
