#ifndef _KVI_SCRIPT_TEXTEDIT_H_INCLUDED_
#define _KVI_SCRIPT_TEXTEDIT_H_INCLUDED_

// =============================================================================
//
//      --- kvi_script_textedit.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 2003 Robin Verduijn <robin@debian.org>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include "kvi_script_widget.h"

class KviScriptTextEdit : public KviScriptWidget
{
	Q_OBJECT
public:
	KviScriptTextEdit(KviScriptObjectController *, KviScriptObject *, const char *, KviScriptObjectClassDefinition *);
	~KviScriptTextEdit();
public:
	virtual bool init(QPtrList<KviStr> *params);
	static void initializeClassDefinition(KviScriptObjectClassDefinition *);

	int              builtinFunction_TEXT(QPtrList<KviStr> *params, KviStr &buffer);
	int           builtinFunction_SETTEXT(QPtrList<KviStr> *params, KviStr &buffer);
	int       builtinFunction_SETREADONLY(QPtrList<KviStr> *params, KviStr &buffer);
	int          builtinFunction_READONLY(QPtrList<KviStr> *params, KviStr &buffer);
	int builtinFunction_SETCURSORPOSITION(QPtrList<KviStr> *params, KviStr &buffer);
	int    builtinFunction_CURSORPOSITION(QPtrList<KviStr> *params, KviStr &buffer);
};

#endif // _KVI_SCRIPT_TEXTEDIT_H_INCLUDED_
