#ifndef _KVI_SCRIPT_TREEVIEW_ITEM_H_INCLUDED_
#define _KVI_SCRIPT_TREEVIEW_ITEM_H_INCLUDED_

// =============================================================================
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include "kvi_script_object.h"

class KviScriptTreeViewItem : public KviScriptObject
{
	friend class KviScriptListViewItem;
	Q_OBJECT
public:
	KviScriptTreeViewItem(KviScriptObjectController *, KviScriptObject *, const char *, KviScriptObjectClassDefinition *);
	~KviScriptTreeViewItem();

	virtual bool init(QPtrList<KviStr> *params);
	static void initializeClassDefinition(KviScriptObjectClassDefinition *);

	int     builtinFunction_SETTEXT(QPtrList<KviStr> *params, KviStr &buffer);
	int   builtinFunction_SETPIXMAP(QPtrList<KviStr> *params, KviStr &buffer);
	int        builtinFunction_TEXT(QPtrList<KviStr> *params, KviStr &buffer);
	int     builtinFunction_SETOPEN(QPtrList<KviStr> *params, KviStr &buffer);
	int  builtinFunction_ISSELECTED(QPtrList<KviStr> *params, KviStr &buffer);
	int  builtinFunction_FIRSTCHILD(QPtrList<KviStr> *params, KviStr &buffer);
	int builtinFunction_NEXTSIBLING(QPtrList<KviStr> *params, KviStr &buffer);

protected:
	KviScriptListViewItem *m_pItem;
};

#endif // _KVI_SCRIPT_TREEVIEW_ITEM_H_INCLUDED_
