#ifndef _KVI_TOOLBARLISTVIEW_H_INCLUDED_
#define _KVI_TOOLBARLISTVIEW_H_INCLUDED_

// =============================================================================
//
//      --- kvi_toolbarlistview.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//   Copyright (C) 1999-2000 Till Busch (buti@geocities.com)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include "kvi_listview.h"
#include "kvi_string.h"

class KviToolBarListViewItem : public KviListViewItem
{
public:
	enum ToolButtonType { Separator, Button, Menu, Submenu, Item };

	/** Add item */
	KviToolBarListViewItem(
		ToolButtonType, KviListView *parent,
		const char *name, const char *type, const char *buffer = 0, const char *icon = 0, const char *sbar = 0
	);
	/** Add item below */
	KviToolBarListViewItem(
		ToolButtonType, KviListView *parent, KviToolBarListViewItem *after,
		const char *name, const char *type, const char *buffer = 0, const char *icon = 0, const char *sbar = 0
	);
	/** Add menu */
	KviToolBarListViewItem(
		ToolButtonType, KviToolBarListViewItem *parent,
		const char *name, const char *type, const char *buffer, const char *icon, const char *sbar = 0
	);
	/** Add menu below */
	KviToolBarListViewItem(ToolButtonType, KviToolBarListViewItem *parent, KviToolBarListViewItem *after,
		const char *name, const char *type, const char *buffer, const char *icon, const char *sbar = 0
	);

	~KviToolBarListViewItem();
public:
	KviStr	m_buffer;
	KviStr	m_icon;
	KviStr	m_sbar;
	int		m_id;

	ToolButtonType m_type;
public:
	void tryLoadImage();
};

#endif // _KVI_TOOLBARLISTVIEW_H_INCLUDED_
